# xmlpp::Dtd Class Reference

Represents XML DTDs. More...

List of all members.

## Public Member Functions
| Dtd (_xmlDtd *dtd)
| ~Dtd ()
Glib::ustring | get_name () const
Glib::ustring | get_external_id () const
Glib::ustring | get_system_id () const
_xmlDtd * | cobj ()
| Access the underlying libxml implementation.
const _xmlDtd * | cobj () const
| Access the underlying libxml implementation.

## Detailed Description

Represents XML DTDs.

## Constructor & Destructor Documentation

xmlpp::Dtd::Dtd | ( | _xmlDtd * | dtd | ) |

xmlpp::Dtd::~Dtd | ( |  | ) |

## Member Function Documentation

const _xmlDtd* xmlpp::Dtd::cobj | ( |  | ) | const

Access the underlying libxml implementation.

_xmlDtd* xmlpp::Dtd::cobj | ( |  | ) |

Access the underlying libxml implementation.

Glib::ustring xmlpp::Dtd::get_external_id | ( |  | ) | const

Glib::ustring xmlpp::Dtd::get_name | ( |  | ) | const

Glib::ustring xmlpp::Dtd::get_system_id | ( |  | ) | const

The documentation for this class was generated from the following file:

- dtd.h